We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

The Angular bar chart is one of the most common chart types used to compare different categories of data like frequency, count, total, or average displayed in horizontal bars. It is ideal for showing variations in the value of an item over time.


Multiple series

Plot multiple series in a single chart to compare different data sets. Enabling the legend and tooltip gives readers more information about the individual series.


Markers

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data labels

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Back-to-back bar chart

Plot data bi-directionally to compare and analyze the values clearly.


Spacing and width

Customize the spacing between two bars and the widths of the bars.


Rounded corners

Modernize the UI by applying rounded corners to the bar chart.


Grouped bar

Group a series with another series by giving the group a different name.


Cylindrical bar

Modernize the UI by displaying value as cylindrical-shaped data points.


Customization

Customize the look and feel of the bar chart using built-in APIs.


Angular bar chart code example

Easily get started with Angular bar chart using a few simple lines of HTML and TypeScript code, as demonstrated below. Also explore our Angular bar chart example that shows you how to render and configure the chart.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='Bar' xName='x' yName='y'> </e-series>    
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
                { x: 'GER', y: 172 },
                { x: 'RUS', y: 300 },
                { x: 'BRZ', y: 439 },
                { x: 'IND', y: 262 },
                { x: 'CHN', y: 721 },
            ];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}
//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { BarSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ BarSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning resources

UG

Bar Chart User Guide

Learn the available options to customize Angular bar charts.

API

Bar chart API reference

Explore the Angular bar chart APIs.


90+ ANGULAR UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

React Bar Chart is the most common chart type that is used to compare different categories of data like frequency, count, total, or average displayed in horizontal bars. It is ideal for showing variations in the value of an item over time.


Multiple series

Plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Markers

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data labels

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Back-to-back bar chart

Plot data bi-directionally to compare and analyze the values clearly.


Spacing and width

Customize the spacing between two bars and the widths of the bars.


Rounded corners

Modernize the UI by applying rounded corners to the bar chart.


Grouped bar

Group a series with another series by giving the group a different name.


Cylindrical bar

Modernize the UI by displaying value as cylindrical-shaped data points.


Customization

Customize the look and feel of the bar chart using built-in APIs.


React Bar Chart Code Example

Easily get started with the React Bar Chart using a few simple lines of TSX code example as demonstrated below. Also explore our React Bar Chart Example that shows you how to render and configure the Bar Chart in React.

import {AxisModel, BarSeries, Category, ChartComponent, Inject, SeriesCollectionDirective, SeriesDirective} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data1 : any[]= [
    { x: 'GER', y: 172 },
    { x: 'RUS', y: 300 },
    { x: 'BRZ', y: 439 },
    { x: 'IND', y: 262 },
    { x: 'CHN', y: 721 },
];

public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[BarSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='Bar'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning resources

UG

Bar Chart User Guide

Learn the available options to customize React bar charts.

API

Bar Chart API Reference

Explore the React bar chart APIs.


90+ REACT UI COMPONENTS

Scroll up icon